Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(29)

Issue 2555063003: Render extension URLs with chips (Closed)

Created:
2 years, 2 months ago by meacer
Modified:
2 years, 1 month ago
CC:
chromium-reviews, tfarina
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Render extension URLs with chips. This CL reuses the security chip to display the extension name in the omnibox. Screenshot: https://drive.google.com/file/d/0B9q2eN9gDoUIelprUjk0dXlINHc/view?usp=sharing BUG=453093 Committed: https://crrev.com/172e00cdced29d37051bd7fc8faaeedb7416653c Cr-Commit-Position: refs/heads/master@{#440298}

Patch Set 1 #

Patch Set 2 : Fix linux and chromeos tests #

Patch Set 3 : Fix Mac and tests #

Patch Set 4 : Enlarge the window so that it's over the minimum window size #

Total comments: 24

Patch Set 5 : pkasting comments and rebase #

Total comments: 12

Patch Set 6 : pkasting comments #

Patch Set 7 : IsEditingOrEmpty check #

Patch Set 8 : pkasting comment #

Total comments: 2

Patch Set 9 : Chip -> text #

Unified diffs Side-by-side diffs Delta from patch set Stats (+93 lines, -29 lines) Patch
M chrome/browser/ui/cocoa/location_bar/location_bar_view_mac.h View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/ui/cocoa/location_bar/location_bar_view_mac.mm View 1 2 3 4 5 6 4 chunks +19 lines, -3 lines 0 comments Download
M chrome/browser/ui/location_bar/location_bar.h View 1 2 3 4 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/browser/ui/location_bar/location_bar.cc View 1 2 3 4 5 6 7 2 chunks +22 lines, -0 lines 0 comments Download
M chrome/browser/ui/views/location_bar/location_bar_view.h View 1 2 3 4 5 1 chunk +11 lines, -8 lines 0 comments Download
M chrome/browser/ui/views/location_bar/location_bar_view.cc View 1 2 3 4 5 6 7 8 6 chunks +22 lines, -11 lines 0 comments Download
M chrome/browser/ui/views/location_bar/location_icon_view.h View 1 2 3 4 2 chunks +5 lines, -5 lines 0 comments Download
M chrome/browser/ui/views/location_bar/location_icon_view.cc View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M chrome/test/data/extensions/api_test/window_update/resize/test.js View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M components/toolbar/toolbar_model_impl.cc View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download

Messages

Total messages: 40 (27 generated)
meacer
pkasting: Can you please take a look at c/b/ui/views/location_bar, c/b/ui/location_bar/location_bar.cc, components/toolbar? rsesek: Can you please ...
2 years, 2 months ago (2016-12-13 22:16:25 UTC) #18
Robert Sesek
cocoa/ lgtm
2 years, 2 months ago (2016-12-14 22:44:50 UTC) #21
Peter Kasting
https://codereview.chromium.org/2555063003/diff/60001/chrome/browser/ui/location_bar/location_bar.cc File chrome/browser/ui/location_bar/location_bar.cc (right): https://codereview.chromium.org/2555063003/diff/60001/chrome/browser/ui/location_bar/location_bar.cc#newcode53 chrome/browser/ui/location_bar/location_bar.cc:53: if (web_contents && url.SchemeIs(extensions::kExtensionScheme)) { Can there be no ...
2 years, 2 months ago (2016-12-14 22:47:08 UTC) #22
meacer
PTAL? (and sorry for the mid-review rebase) https://codereview.chromium.org/2555063003/diff/60001/chrome/browser/ui/location_bar/location_bar.cc File chrome/browser/ui/location_bar/location_bar.cc (right): https://codereview.chromium.org/2555063003/diff/60001/chrome/browser/ui/location_bar/location_bar.cc#newcode53 chrome/browser/ui/location_bar/location_bar.cc:53: if (web_contents ...
2 years, 2 months ago (2016-12-16 18:46:18 UTC) #23
Peter Kasting
https://codereview.chromium.org/2555063003/diff/60001/chrome/browser/ui/location_bar/location_bar.cc File chrome/browser/ui/location_bar/location_bar.cc (right): https://codereview.chromium.org/2555063003/diff/60001/chrome/browser/ui/location_bar/location_bar.cc#newcode53 chrome/browser/ui/location_bar/location_bar.cc:53: if (web_contents && url.SchemeIs(extensions::kExtensionScheme)) { On 2016/12/16 18:46:17, Mustafa ...
2 years, 1 month ago (2016-12-20 01:59:31 UTC) #24
meacer
https://codereview.chromium.org/2555063003/diff/60001/chrome/browser/ui/location_bar/location_bar.cc File chrome/browser/ui/location_bar/location_bar.cc (right): https://codereview.chromium.org/2555063003/diff/60001/chrome/browser/ui/location_bar/location_bar.cc#newcode53 chrome/browser/ui/location_bar/location_bar.cc:53: if (web_contents && url.SchemeIs(extensions::kExtensionScheme)) { On 2016/12/20 01:59:31, Peter ...
2 years, 1 month ago (2016-12-21 01:38:56 UTC) #26
Peter Kasting
https://codereview.chromium.org/2555063003/diff/80001/chrome/browser/ui/location_bar/location_bar.cc File chrome/browser/ui/location_bar/location_bar.cc (right): https://codereview.chromium.org/2555063003/diff/80001/chrome/browser/ui/location_bar/location_bar.cc#newcode53 chrome/browser/ui/location_bar/location_bar.cc:53: return base::CollapseWhitespace(extension_name, false); On 2016/12/21 01:38:56, Mustafa Emre Acer ...
2 years, 1 month ago (2016-12-21 02:09:40 UTC) #29
meacer
https://codereview.chromium.org/2555063003/diff/80001/chrome/browser/ui/location_bar/location_bar.cc File chrome/browser/ui/location_bar/location_bar.cc (right): https://codereview.chromium.org/2555063003/diff/80001/chrome/browser/ui/location_bar/location_bar.cc#newcode53 chrome/browser/ui/location_bar/location_bar.cc:53: return base::CollapseWhitespace(extension_name, false); On 2016/12/21 02:09:40, Peter Kasting wrote: ...
2 years, 1 month ago (2016-12-21 02:14:10 UTC) #30
Peter Kasting
LGTM https://codereview.chromium.org/2555063003/diff/160001/chrome/browser/ui/views/location_bar/location_bar_view.cc File chrome/browser/ui/views/location_bar/location_bar_view.cc (right): https://codereview.chromium.org/2555063003/diff/160001/chrome/browser/ui/views/location_bar/location_bar_view.cc#newcode912 chrome/browser/ui/views/location_bar/location_bar_view.cc:912: // Extension chips should not be animated (their ...
2 years, 1 month ago (2016-12-22 00:14:46 UTC) #31
meacer
Thanks. https://codereview.chromium.org/2555063003/diff/160001/chrome/browser/ui/views/location_bar/location_bar_view.cc File chrome/browser/ui/views/location_bar/location_bar_view.cc (right): https://codereview.chromium.org/2555063003/diff/160001/chrome/browser/ui/views/location_bar/location_bar_view.cc#newcode912 chrome/browser/ui/views/location_bar/location_bar_view.cc:912: // Extension chips should not be animated (their ...
2 years, 1 month ago (2016-12-22 00:23:11 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2555063003/180001
2 years, 1 month ago (2016-12-22 00:23:44 UTC) #35
commit-bot: I haz the power
Committed patchset #9 (id:180001)
2 years, 1 month ago (2016-12-22 01:25:16 UTC) #38
commit-bot: I haz the power
2 years, 1 month ago (2016-12-22 01:27:15 UTC) #40
Message was sent while issue was closed.
Patchset 9 (id:??) landed as
https://crrev.com/172e00cdced29d37051bd7fc8faaeedb7416653c
Cr-Commit-Position: refs/heads/master@{#440298}

Powered by Google App Engine
This is Rietveld 408576698